=== Contact Form by ContactUs ===
Contributors: contactus.com
Stable tag: 5.0.8
Requires at least: 3.4.2
Tested up to: 4.2.2
Donate link:
Tags: contact form, contact form builder, contact page, contact us, contact us form, contactus, contactus.com, customer acquisition, database, form, form builder, signup form, captcha, Marketo, infusionsoft, SharpSpring, Pardot, inbound marketing, hubspot, zapier
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

Add a flexible contact form to your website. Built with ContactUs.com’s cloud-based software. Customize to build beautiful, functional contact forms

== Description ==

In less than five minutes, you can be up and running with a simple yet powerful contact form on your WordPress website that is powered by ContactUs.com. This contact form plugin is integrated with ContactUs.com’s customer acquisition software suite, built to help you track and prioritize your contact form submissions. The plugin comes with a free, secure account registration, used to manage your form settings, software integrations and contact form submissions. The plugin makes it simple to create your first form. 

ContactUs.com is a great inbound marketing platform for small and medium sized businesses.  Not unlike HubSpot, Marketo, and other lead acquisition and lead management apps,  the software is a lead acquisition platform for inbound traffic and inbound phone calls. It’s made to catch more leads, create and manage a relationship with those leads and provide analytic data to improve lead acquisition channels. Read more about this [here](http://www.contactus.com/inbound-marketing-solutions/ "Get an Inbound Marketing Platform made for small and medium sized businesses.")

[youtube http://www.youtube.com/watch?v=9VsdBVcKzpw]

**Summary of Contact Forms created via ContactUs.com:**

- **Contact Form Design:** Contact forms can be created with several basic designs. Premium users can add custom background images or choose from premium design templates.
- **Form Fields:** Standard forms have basic contact fields. Websites with more specific needs can select a Custom Field option (within the ContactUs.com admin panel) and use our online drag-and-drop form editor combined with our form designs designated as custom field templates to build a custom contact form, quote form, request form, feedback forms, or any other type of contact form you need for your website.
- **Contact Form Placement:** Our standard implementation places a callout tab onto your website (which you can move around to your preferred position), which is used to load an in-browser pop-up of your form. We find that this contact form placement is the most flexible for implementation, and maximizes the visibility of your contact form to your website visitors. Plugin provides short-code support for advanced WordPress users looking for more flexible form placements.
- **Content:** Add customized form content (headline, field labels, submission button), social media links, “About Us” text and Google Maps.  Additionally, you can customize your confirmation page text.
- **Auto-Responder:** You can customize the auto-responder text and settings in your ContactUs.com profile.Submission Requirements: Inside of your ContactUs.com profile, you can manage your CAPTCHA settings to fight against spam (only if spam is a problem for you– by default, it’s turned off) and “Agree to Terms” disclaimers to fulfill any legal requirements.
- **Contact Form Notifications:** Form submissions, by default, will be delivered to the email address used to create your ContactUs.com profile. You can control these settings in your ContactUs.com admin panel. Premium users can receive SMS notifications.
- **Integration with 3rd Party Software:** ContactUs.com provides a basic level of integration with 3rd party software providers. Once enabled (in your ContactUs.com account), you can direct the signups to 3rd party apps like MailChimp, Constant Contact, Google Docs, Sendy, SugarCRM, and many more.
- **Google Analytics:** Advanced users can integrate Google Analytics codes on the contact form view and form submission.

Once your ContactUs.com profile is created, you’ll have one-click access to the ContactUs.com form builder (outside of the plugin) for most of the powerful customization options including: form fields, design, form content, social media links and Google Maps.  You’ll be able to customize your auto-responder, confirmation page and callout tab. When you use our contact form solution, you can also get alerts via SMS, email or Starting with Version 3.5, you are also able to add and manage multiple ContactUs.com forms using the Contact Form plugin by ContactUs.com.

Contact Form by ContactUs.com is more than a contact form plugin. This plugin is part of an overall tool to grow users and customers, and manage your relationship with them. ContactUs.com has powerful contact management tools, where you can track, segment, analyze and communicate with your inbound form submission. It’s integrated with ContactUs.com chat, which can be another vehicle for growing interactions and sales from your website. For premium users, ContactUs.com offers lots of features to enhance the look of your contact forms. Plus, great features to grow leads and customers such as: A/B Testing, Retargeting Alerts, advanced lead analytics, and call tracking.

When you download and install our plugin, you’ll be prompted to create an account. We’re always adding new features to make your lead generation and contact management efforts easier and more effective. We have premium (paid) plans with advanced features, but our standard features are always free.

**WP Shortcode implementation**

- **Default Inline Contact Form Shortcode:**
[show-contactus.com-form]


- **Specific Inline Contact Form Shortcode:**
[show-contactus.com-form formkey="FORM KEY HERE" version="inline"]


- **Specific Tab Contact Form Shortcode:**
[show-contactus.com-form formkey="FORM KEY HERE" version="tab"]


- **Add Contact Form directly on your template with php snippet**
echo do_shortcode('[show-contactus.com-form formkey="FORM KEY HERE" version="tab"]');

Note: ContactUs.com has a simple html snippet that does not require a plugin, you can use both in WP templates as well as plain HTML. More information on this here.

**User Support:**

We try to provide the best user support we can for our users and their contact forms. We’re not a big team, but we try to respond promptly. We provide support documentation to help you answer some of the questions before you feel like you need to submit a ticket.


- View some of our Frequently-Asked Questions for contact forms on ContactUs.com here.
- View our contact form user support forum here.
- Submit a support ticket here. If you have any contact form questions we're here to help!

**Multiple Form Type Management** ContactUs.com provides all sorts of conversion optimized, high performance forms. Up until version 3.4, the Contact Form by ContactUs.com plugin would only manage Contact Forms, but now the plugin can manage all of the great form types ContactUs.com has to offer. Easy Appointments form, fast Donation form and high conversion Newsletter Signup forms are all now available through quick setup wizards and short codes.

**Flexible Contact Forms** with Clients across the World - The contact form plugin can be used for multiple uses such as: simple “Contact Us” contact form, Support contact form, a Price Quote Contact Form, Demo Request contact form, Newsletter signup form, “Advertise with Us” contact form, a Customer Feedback contact form, Request a Consultation contact form, and a Suggestion form. Using a custom form field template, you’ll be able to add or modify the form fields you need using our drag-and-drop editor.

Contact forms powered by the plugin are currently used by lawyers, doctors, wedding vendors, real estate agents, home contractors, online stores, offline retail, insurance agents, web software companies, independent consultants, marketing agencies, advertising agencies, PR agencies, tour operators, florists, writers, designers, tutors, bands and musicians, accountants, financial planners, church groups, non-profits, blogs, web publishers, and many different types of websites. They are used to capture general inquiries, submit quote requests, schedule meeting/consultations/demos, solicit feedback, signup to services, or otherwise generate leads.

**Our Floating Tab and Quick Install Shortcodes** The most popular implementation of the contact form plugin places a callout tab overlay onto the margins of your website so that it’s visible on every page. The callout contact form tab, using “Contact Us” as the default text (although there are options for additional text), opens up the hosted contact form created by this plugin. (More about our [contact form callout tabs here](http://www.contactus.com/callout-tabs/ "Contact Form Callout Tabs")). Use this method if you’re using your contact form to proactively generate inquiries or prospects from your website because it’ll get your form seen by more of your website visitors. Users can select different contact form and callout tab design. Specifically for WordPress, WordPress Developers can also place a shortcodes on specific pages or posts to embed the contact form.

**More Advanced Placements:**


- **Inline:** Websites looking for basic contact forms to capture general website inquiries.
- **Hyperlink:** This placement type is for webmasters. It enable hyperlinks on text, images or actions on your website used to trigger your ContactUs.com form. See examples of this placement type here.
- **Exit Event:** This placement is included with the premium version for ContactUs and automatically loads the form in front of users who are about to bounce. Use this placement if you are using your website for marketing and lead-generation purposes.

You can manage even more customizations for your contact form from inside your ContactUs.com account admin panel, which is easy to navigate to from inside your plugin. The customization options include form content such as the header, sub-header, button text and website info. Also, from your ContactUs.com account admin panel, you’ll be able to manage your delivery options for your contact form, whether to direct form signups to an email address, receive an SMS alert, or post inquiry information to over twenty 3rd party software tools like MailChimp, Zoho, Hubspot and Google Docs.

**Tools to Get You Started with our Contact Form Plugin**

With your ContactUs.com account combined with the plugin, you’ll be able to customize the following:

- Choice of contact form designs
- Callout Tab with choice of callout tab – text and color *
- Name, Email and Message fields for your contact form
- Different implementation paths for your contact form (callout tab + form, inline form)
- Include the ability to place a short code for a specific contact form
- Choice of which website pages and posts to include the contact form
- Instant notification emails upon contact form submission
- Auto-responder email with default text *
- Confirmation page with default text *

**Note:** The asterisk (*) Signifies that this contact form feature can be further customized (outside of the plugin) from within your ContactUs.com profile.

**Additional Customization for Contact Forms and Contact Management within the ContactUs.com web app**

From within your ContactUs.com account integrated with the contact form plugin, you’ll be able to further customize your form with advanced functionality:

- Choose the placement of the callout contact form tab within a page (right, left, top, bottom or each corner
- Customize the tooltip text that appears upon hovering over the callout tab
- Create or upload a custom callout tab (so you can use alternative text besides “Contact Us”, and in the language of your choice)
- Run A/B optimization experiments of callout contact form tabs and form templates
- Create, add or remove custom form fields (which requires you to choose a form template designated as compatible with “Custom Fields”)
- Customize form fields labels in a “Custom Field” form
- Modify text in the email auto responder for each contact form
- Modify text in the confirmation page each contact form
- Modify the headline and call-to-action each contact form
- Modify the button text each contact form
- Add CAPTCHA protection to any of your contact forms
- Add your Google Analytics code onto the contact form and confirmation page
- Send your contact form submission data to 3rd party tools you already use, such as Google Docs, Zoho CRM, Constant Contact, MailChimp, Vertical Response, SendGrid, Emma, Sendy, GetResponse, ActiveCampaign, SugarCRM, Hubspot, Tactile CRM, Highrise, Capsule, and others (see [http://www.contactus.com/3rd-party-software-integrations/](http://www.contactus.com/3rd-party-software-integrations/ "Sync WP with third party CRMs and email marketing software.") for a list of supported tools)
- Modify your contact form mobile settings to automatically show a mobile-optimized contact form to mobile visitors
- Extend your contact form to Facebook with our Facebook app	
- Include social media links and icons

**Finally, Powerful Contact Management Tools**

ContactUs.com provides more than just a form to capture website inquiries. Your integrated ContactUs.com account gives you the tools needed to track and communicate with your new contact form submissions, such as:

- Track and prioritize contact form submissions inside of your secure, cloud-based contact management database
- Take notes on individual submissions
- View overall submission stats (form views, submissions, segmentation by devices)
- Communicate via 2-way emailing (PREMIUM)
- Gain detailed contact form analytics on each submission (referral source, pages visited, time on site, new/existing visitor) (PREMIUM)
- Add our lead qualification API (PREMIUM)
- Receive retargeting alerts when people who previously submitted your contact form come back to your website (PREMIUM)

**Legal**

- [Privacy & Security](http://www.contactus.com/privacy-security/ "ContactUs Privacy and Security Terms")
- [Terms of Service](http://www.contactus.com/terms-of-service/ "ContactUs.com's Terms of Service")
- [DMCA Policy](http://www.contactus.com/dmca-policy/ "Our DMCA policy")
- [SPAM Complaint](http://www.contactus.com/spam-complaint/ "SPAM Complaint")

**Follow for new product updates from ContactUs.com:**

- [Blog](http://www.contactus.com/blog/ "The Customer Acquisition Blog")
- [Facebook](https://www.facebook.com/ContactUscom "ContactUs's Facebook Fanpage")
- [Twitter](https://twitter.com/ContactUsCom "ContactUs.com's Twitter Handle")

**Please note:** This plugin from ContactUs.com includes JavaScript code used to connect the plugin to the ContactUs.com servers, when enabled. This JavaScript is used to connect to live chat support so that questions can be asked and answered directly from within the plugin.

== Installation ==

1. Log into your WordPress.org account as an administrator.
2. Go to the “Plugins” section from the side panel, and choose “Add New”.
3. Search for “ContactUs.com Contact Form Plugin” to find the ContactUs.com Contact Form Plugin, and choose to install. 
4. WordPress will automatically install the plugin into your account. 
5. Once completed, go to your list of plugins (bottom of your side panel), and choose to “Activate”.
6. After the plugin is activated, open the ContactUs.com plugin.
7. Log into your ContactUs.com account from inside the plugin to connect accounts, and then you’re done!

Detailed instructions, which screenshots, on how to implement the ContactUs.com Wordpress can be found <a href="http://help.contactus.com/entries/23229688-Adding-the-ContactUs-com-Plugin-for-WordPress" target="_blank">here</a>.

== Frequently Asked Questions ==

Most installation-related questions can be answered from the ContactUs.com Help Desk at <a href="http://help.contactus.com" target="_blank">http://help.contactus.com</a>

ContactUs.com is part of an overall lead generation and lead management system. It's not just a front-end form. For registered ContactUs.com users, the settings for your form can be set within the ContactUs.com client admin. If you aren't a registered user, you will need to sign up for free at ContactUs.com form <a href="https://www.contactus.com/signup.php" target="_blank">here</a>.

You will then log into the ContactUs.com client admin in order to set-up and customize the form and form settings.

Below are links to answer additional questions about:

* Logging into you ContactUs.com account (<a href="http://help.contactus.com/forums/21782103-Logging-In" target="_blank">here</a>)
* Setting up a new form (<a href="http://help.contactus.com/forums/21779422-Configuring-Your-Form" target="_blank">here</a>)
* Managing your leads (<a href="http://help.contactus.com/categories/20093858-Managing-Your-Leads" target="_blank">here</a>)

== Screenshots ==

1. Sync with 3rd party software
2. Reports and Analytics
3. A/B Testing
4. Track and manage contacts
5. Smart Triggers
6. Page Selection with MULTIPLE FORM TYPE MANAGEMENT
7. Wide variety of tab templates to choose from
8. New Feature: Custom Fields and Custom Templates
9. One of our newsletter form template window and button tab

== Changelog ==

= 5.0.8 =
* Minor work done to ensure plugin is compatible with latest WordPress Release (4.2.2)
* *Launch date 23.06.2015*

= 5.0.7 =
* Compatible with WP 4.1
* UX Improvements
* *Launch date 09.01.2015*

= 5.0.6 =
* BUG-FIX: Vulnerability: check if has admin privileges for ajax calls
* BUG-FIX: Vulnerability: scape input fields to prevent injections
* *Launch date 08.12.2014*

= 5.0.5 =
* Improved notifications
* *Launch date 10.11.2014*

= 5.0.4 =
* Improvement: Updated quick installation settings to improve user experience
* NEW: Admin Panel Functionalities
* NEW: Lead Reminders
* NEW: Multiple Appointment Types
* *Launch date 03.11.2014*

= 5.0.3 =
* BUG-FIX: Fixed default settings bug
* NEW: Added new options to update and edit default settings
* *Launch date 08.09.2014*

= 5.0.2 =
* BUG-FIX: Fixed short code rendering in plugin (Special fix for short code users)
* *Launch date 22.08.2014*

= 5.0.1 =
* NEW: Addition of interactive user guide
* NEW: User Interface improvements
* *Launch date 26.06.2014*

= 5.0.0 =
* Major Version Release
* NEW: Place multiple forms across your site
* NEW: Complete UI redesign
* NEW: More Customization Options
* NEW: Better Deeplink Integration
* NEW: Easy Toggle yes and no options
* NEW: Improved Widget Functions, quick Form Key implementation
* NEW: Improved Setup Process
* Improved on-site settings
* *Launch date 12.06.2014*

= 4.2.5 =
* NEW: Addition of interactive user guide
* NEW: User Interface improvements
* BUG-FIX: Special fix for C.U. users who are missing the required from types. (Allows 2 step form creation for missing form types during login process from plugin setup wizard)
* *Launch date 13.05.2014*

= 4.2.4 =
* Plugin Home Page Upgrades
* *Launch date 28.04.2014*

= 4.2.3 =
* UI improvements and bug fixes
* *Launch date 23.04.2014*

= 4.2.2 =
* NOW TESTED UP TO WordPress Version 3.8.2
* Minor Bug fixes
* *Launch date 09.04.2014*

= 4.2.1 =
* Minor Bug fixes
* *Launch date 02.04.2014*

= 4.2 =
* New “Form Settings” look and feel
* Added new deep-links to ContactUs.com Admin Panel:  “Contact Manager”, “Account Information”, and “Change Form Name” within the plugin
* Minor bug fixes in deep-links to the ContactUs.com Admin panel
* *Launch date 19.03.2014*

= 4.1.3 =
* Updates on SignUp process
* *Launch date 21.02.2014*

= 4.1.2 =
* JavaScript added to enable live chat support with ContactUs.com within the plugin
* *Launch date 06.02.2014*

= 4.1.1 =
* General Bug fixes
* *Launch date 22.01.2014*

= 4.1 =
* NEW : Added Default Form Manager
* NEW : Added Custom Fields button
* UPDATE : Updated improved API methods
* UPDATE : Added Categories and Goals Feedback 
* General Bug fixes
* *Launch date 16.01.2014*

= 4.0 =
* NEW : Added Newsletter Form Management
* NEW : Added Donation Form Management
* NEW : Added Appointments Form Management
* NEW : Added Create Form Buttons for each form type
* General Bug fixes
* *Launch date 02.01.2014*

= 3.2 =
* NEW : Added Go to Third Party Integrations button
* NEW : Added Go to Dashboard button
* NEW : Added Go to Configure Form button
* NEW : Added Go to Configure Tab button
* NEW : Added Go to Detailed Reports button
* NEW : Added API Integration Upgrade
* Renamed Tabs: Form Placement tab and Form Settings tab.
* *Launch date 13.12.2013*

= 3.1.1 =
* Changed PopUp library, now using ColorBox
* *Launch date 29.11.2013*

= 3.1 =
* NEW : Ability to configure 3rd party delivery options
* NEW : Go to my Form Control Panel button
* NEW : Shortcodes Tab page
* NEW : Plugin Documentation page
* NEW : Quick video tutorials
* Bug Fix: Looking for a dafault form when previous users login
* Bug Fix: Form settings -> page selection: default form is now preselected 
* Other Minor Bug Fixes
* *Launch date 15.11.2013*

= 3.0 =
* NEW : Ability to choose Form and Tab Templates on SignUp
* NEW : Manage Multiple Forms
* NEW : Form Templates Manager in plugin settings
* NEW : Tab Templates Manager in plugin settings
* NEW : Shortcodes for multiple Forms and Tabs
* NEW : Php Snippets for Advanced Users
* NEW : Plugin Look and Feel
* Minor Bug Fixes
* *Launch date 02.10.2013*

= 2.5.5 =
* Resolved minor sign up issues
* *Launch date 21.08.2013*

= 2.5.4 =
* NEW: Button Tab by default at first time
* Fixed: Validation for required data
* *Launch date 21.08.2013*

= 2.5.3 =
* ***NEW : Plugin Look and Feel***
* Bug Fix: Minor url encode issues on sign up
* *Launch date 29.07.2013*

= 2.5.2 =
* ***NEW : Most form templates are now responsive design (with minimums and maximums for best appearance)***
* Bug Fix: Minor javascript issues
* Udated: Using wp core jQuery UI
* *Launch date 12.07.2013*

= 2.5.1 =
* NEW : One-step activation process
* Simplified: Signup process so that initial password is auto-generated
* Removed: Requirement for separate activation via email
* Bug Fix: Our Button Tab javascript file is located before the body tag, the right way
* *Launch date 05.07.2013*

= 2.5 =
* NEW : CUSTOM Form Settings. Choose which page(s) to place your contact form
* Bug Fix: UI compatibility issue in older WordPress versions
* *Launch date 21.05.2013*

= 2.0.1 =
* Bug Fix: Form Settings - Inline Form Page Version was not assigning a variable correctly. This has been resolved
* *Launch date 30.04.2013*

= 2.0 =
* NEW : One-Step Registration. Sign up directly from our plugin
* NEW : Instant Activation. Check your email after registration
* NEW : Easy Login. Connect your account for future sessions
* NEW : Form Settings. Update main form settings within the plugin
* *Launch date 29.04.2013*

= 1.0b =
* First version available to WordPress community
* *Launch date 13.03.2013*

== Upgrade Notice ==

= 5.0.8 =
New version upgrade. Please update.

= 5.0.7 =
New version upgrade. Please update.

= 5.0.6 =
New version upgrade. Please update.

= 5.0.5 =
New version upgrade. Please update.

= 5.0.4 =
New version upgrade. Please update.

= 5.0.3 =
New version upgrade. Please update.

= 5.0.2 =
New version upgrade. Please update.

= 5.0.1 =
New version upgrade. Please update.

= 5.0.0 =
Major version upgrade. Please update.

= 4.2.5 =
New version available, update NOW!

= 4.2.5 =
New version available, update NOW!

= 4.2.4 =
New version available, update NOW!

= 4.2.3 =
New version available, update NOW!

= 4.2.2 =
New version available, update NOW!

= 4.2.1 =
New version available, update NOW!

= 4.2 =
New version available, update NOW!

= 4.1.3 =
New version available, update NOW!

= 4.1.2 =
New version available, update NOW!

= 4.1.1 =
New version available, update NOW!

= 4.1 =
New version available, update NOW!

= 4.0 =
New version available, update NOW!

= 3.2 =
New version available, update NOW!

= 3.1.1 =
New version available, update NOW!

= 3.1 =
New awesome features in this version now available, update NOW!

= 3.0 =
New awesome features in this version now available, update NOW!

= 2.5.5 =
New version available, update NOW!

= 2.5.4 =
New version available, update NOW!

= 2.5.3 =
New version available, update NOW!

= 2.5.2 =
New version available, update NOW!
NEW - Most form templates are now responsive design (with minimums and maximums for best appearance)

= 2.5.1 =
New version available, update NOW!

= 2.5 =
New version available, update NOW!

= 2.0.1 =
Bug Fix: This has been resolved.

= 2.0 =
New cool features added to the V.2 plugin

= 1.0b =
First version available to WordPress community